require 'filewatcher'
require 'asset_watcher/filewatcher_ext'
require 'asset_watcher'

namespace :asset do
  desc "Watch .coffee and .haml file and compile when it changes"
  task :watch do
    watcher = AssetWatcher.new
    FileWatcher.new(watcher.target_files, "Watching files:").watch do |src_path|
      watcher.compile src_path
    end
  end
end
